Loading...
Searching...
No Matches
juce::TableHeaderComponent::Listener Class Referenceabstract

## Detailed Description

Receives events from a TableHeaderComponent when columns are resized, moved, etc.

You can register one of these objects for table events using TableHeaderComponent::addListener() and TableHeaderComponent::removeListener().

See also
  TableHeaderComponent

The documentation for this class was generated from the following file:

- juce_gui_basics/widgets/juce_TableHeaderComponent.h

Inheritance diagram for juce::TableHeaderComponent::Listener:

## Public Member Functions

| Listener ()=default
virtual | ~Listener ()=default
| Destructor.
virtual void | tableColumnsChanged (TableHeaderComponent *tableHeader)=0
| This is called when some of the table's columns are added, removed, hidden, or rearranged.
virtual void | tableColumnsResized (TableHeaderComponent *tableHeader)=0
| This is called when one or more of the table's columns are resized.
virtual void | tableSortOrderChanged (TableHeaderComponent *tableHeader)=0
| This is called when the column by which the table should be sorted is changed.
virtual void | tableColumnDraggingChanged (TableHeaderComponent *tableHeader, int columnIdNowBeingDragged)
| This is called when the user begins or ends dragging one of the columns around.

## Constructors and Destructors

## Listener()

juce::TableHeaderComponent::Listener::Listener | ( |  | ) |

default

## ~Listener()

virtual juce::TableHeaderComponent::Listener::~Listener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## tableColumnsChanged()

virtual void juce::TableHeaderComponent::Listener::tableColumnsChanged | ( | TableHeaderComponent * | tableHeader | ) |

pure virtual

This is called when some of the table's columns are added, removed, hidden, or rearranged.

Implemented in juce::TableListBox.

References juce::TableHeaderComponent::TableHeaderComponent().

## tableColumnsResized()

virtual void juce::TableHeaderComponent::Listener::tableColumnsResized | ( | TableHeaderComponent * | tableHeader | ) |

pure virtual

This is called when one or more of the table's columns are resized.

Implemented in juce::TableListBox.

References juce::TableHeaderComponent::TableHeaderComponent().

## tableSortOrderChanged()

virtual void juce::TableHeaderComponent::Listener::tableSortOrderChanged | ( | TableHeaderComponent * | tableHeader | ) |

pure virtual

This is called when the column by which the table should be sorted is changed.

Implemented in juce::TableListBox.

References juce::TableHeaderComponent::TableHeaderComponent().

## tableColumnDraggingChanged()

virtual void juce::TableHeaderComponent::Listener::tableColumnDraggingChanged | ( | TableHeaderComponent * | tableHeader,
|  | int | columnIdNowBeingDragged )

virtual

This is called when the user begins or ends dragging one of the columns around.

When the user starts dragging a column, this is called with the ID of that column. When they finish dragging, it is called again with 0 as the ID.

Reimplemented in juce::TableListBox.

References juce::TableHeaderComponent::TableHeaderComponent().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited